theslinux-home branch core updated 8a2c94c git.hook.post-receive: move :rvm support to the first part of :_setup

  • From: git@xxxxxxxxxxxxxxxxxxxx
  • To: theslinux-phantom@xxxxxxxxxxxxx
  • Date: Tue, 13 Aug 2013 00:46:37 -0700

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "theslinux-home".

The branch, core has been updated
       via  8a2c94c0ee6905305f90a3016909b7b379b64fc7 (commit)
      from  8e39ee12d5ceb747a0f4946806a620029078c3d1 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit 8a2c94c0ee6905305f90a3016909b7b379b64fc7
Author: Ky-Anh Huynh <kyanh@xxxxxxxxxxxxx>
Date:   Tue Aug 13 14:45:12 2013 +0700

    git.hook.post-receive: move :rvm support to the first part of :_setup

-----------------------------------------------------------------------

Summary of changes:
 bin/git.hook.post-receive.sh | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/bin/git.hook.post-receive.sh b/bin/git.hook.post-receive.sh
index 2c8fbd8..e4093bd 100755
--- a/bin/git.hook.post-receive.sh
+++ b/bin/git.hook.post-receive.sh
@@ -33,13 +33,13 @@ die() {
 }
 
 _setup() {
-  { ruby -v | grep -q 'ruby 2.0' ; } \
-  || die "Unable to find Ruby >= 2.0"
-
   export rvm_path="/home/rvm/.rvm"
   source "${rvm_path}/scripts/rvm"
   rvm use default 1>&2
 
+  { ruby -v | grep -q 'ruby 2.0' ; } \
+  || die "Unable to find Ruby >= 2.0"
+
   cd $_D_VAR || die "Can't switch to directory $_D_VAR"
 }
 


hooks/post-receive
-- 
theslinux-home
--
Purpose: Store commits, feeds from other projects
Post: mailto:theslinux-phantom@xxxxxxxxxxxxx
Archive, Gmane: http://theslinux.org/lists/phantom/
Subscribe: mailto:theslinux-phantom-request@xxxxxxxxxxxxx?Subject=subscribe
Unsubscribe: mailto:theslinux-phantom-request@xxxxxxxxxxxxx?Subject=unsubscribe
Other information: http://theslinux.org/lists (vi) or 
http://theslinux.org/lists/en (en)
Support: mailto:theslinux-questions@xxxxxxxxxxxxx

Other related posts:

  • » theslinux-home branch core updated 8a2c94c git.hook.post-receive: move :rvm support to the first part of :_setup - git